> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Move Entities To Folder

> Moves multiple entities from one folder to another.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/convai/knowledge-base/bulk-move
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/knowledge-base/bulk-move:
    post:
      tags:
        - Conversational AI
      summary: Bulk Move Entities To Folder
      description: Moves multiple entities from one folder to another.
      operationId: post_knowledge_base_bulk_move_route
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Body_post_knowledge_base_bulk_move_route'
      responses:
        '200':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_post_knowledge_base_bulk_move_route:
      properties:
        document_ids:
          items:
            type: string
          type: array
          maxItems: 20
          minItems: 1
          uniqueItems: true
          title: Document Ids
          description: The ids of documents or folders from the knowledge base.
          examples:
            - - 21m00Tcm4TlvDq8ikWAM
              - 31m00Tcm4TlvDq8ikWBM
        move_to:
          anyOf:
            - type: string
            - type: 'null'
          title: Move To
          description: >-
            The folder to move the entities to. If not set, the entities will be
            moved to the root folder.
      type: object
      required:
        - document_ids
      title: Body_post_knowledge_base_bulk_move_route
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````